[pkg-kolab] r577 - kolab-cyrus-imapd/scripts

Peter Eisentraut petere at alioth.debian.org
Wed Jan 10 15:21:34 CET 2007


Author: petere
Date: 2007-01-10 15:21:34 +0100 (Wed, 10 Jan 2007)
New Revision: 577

Modified:
   kolab-cyrus-imapd/scripts/kolab-cyrus-merge
Log:
Updates for 2.2.13-2


Modified: kolab-cyrus-imapd/scripts/kolab-cyrus-merge
===================================================================
--- kolab-cyrus-imapd/scripts/kolab-cyrus-merge	2007-01-10 14:20:24 UTC (rev 576)
+++ kolab-cyrus-imapd/scripts/kolab-cyrus-merge	2007-01-10 14:21:34 UTC (rev 577)
@@ -112,25 +112,34 @@
 			oldcfile=$newcfile
 			oldkfile=$newkfile
 
-			case $newkfile in *.cron.*)
-				oldcfile=$(echo $oldcfile | sed 's/\.cyrus22\././')
-				oldkfile=$(echo $oldkfile | sed 's/\.cyrus22\././')
-				;;
-			esac
+## Only needed for updates from cyrus-imapd-2.2 (<< 2.2.13-5)
+#			case $newkfile in *.cron.*)
+#				oldcfile=$(echo $oldcfile | sed 's/\.cyrus22\././')
+#				oldkfile=$(echo $oldkfile | sed 's/\.cyrus22\././')
+#				;;
+#			esac
 			case $newkfile in *.default|*.init|*.cron.*)
 				newkfile=$(echo $newkfile | sed 's/\.cyrus2\.*2\./.kolab-cyrus./')
 				oldkfile=$(echo $oldkfile | sed 's/\.cyrus2\.*2\./.kolab-cyrus./');;
 			esac
-			case $newkfile in *.install)
-				oldcfile=$(echo $oldcfile | sed 's/\.install$/.files/')
-				oldkfile=$(echo $oldkfile | sed 's/\.install$/.files/');;
-			esac
+## Only needed for updates from cyrus-imapd-2.2 (<< 2.2.13-4)
+#			case $newkfile in *.install)
+#				oldcfile=$(echo $oldcfile | sed 's/\.install$/.files/')
+#				oldkfile=$(echo $oldkfile | sed 's/\.install$/.files/');;
+#			esac
+
 			mv $file $newkfile
 
 			if [ ! -e $cyrus_old_dir/debian/$(basename $oldcfile) ]; then
-				continue
+				error "$cyrus_old_dir/debian/$(basename $oldcfile) not found"
+				#continue
 			fi
-			$MERGE $newkfile $cyrus_old_dir/debian/$(basename $oldcfile) $kolab_old_dir/debian/$(basename $oldkfile) || [ $? -eq 1 ]
+			if [ -e $kolab_old_dir/debian/$(basename $oldkfile) ]; then
+				$MERGE $newkfile $cyrus_old_dir/debian/$(basename $oldcfile) $kolab_old_dir/debian/$(basename $oldkfile) || [ $? -eq 1 ]
+			else
+				rm $newkfile
+				echo "debian/$(basename $oldkfile) is deleted; check manually"
+			fi
 		done
 	fi
 done
@@ -146,7 +155,9 @@
 	mv $x.tmp $x
 done
 
+sed -r -i -e 's,/usr/share/doc/(cyrus[^/]+)/,/usr/share/doc/kolab-cyrus-common/,g' $kolab_new_dir/debian/po/templates.pot
 
+
 ##
 ## Copy patches
 ##
@@ -154,3 +165,10 @@
 for file in $kolab_old_dir/debian/patches/1[0-9][0-9]-*.dpatch; do
 	cp $file $kolab_new_dir/debian/patches/
 done
+
+
+##
+## The rest
+##
+
+cp $kolab_old_dir/debian/svn-deblayout $kolab_new_dir/debian/




More information about the pkg-kolab-devel mailing list